Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.handler.demux
Class UnknownMessageTypeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.mina.handler.demux.UnknownMessageTypeException

All Implemented Interfaces:
  Serializable

    public class UnknownMessageTypeException

extends RuntimeException

An exception that is thrown when `DemuxingIoHandler` cannot find any `MessageHandler`s associated with the specific message type. You have to use `DemuxingIoHandler.addMessageHandler(Class, MessageHandler)` to associate a message type and a message handler.

Version:
  $Rev: 555855 $, $Date: 2007-07-13 05:19:00 +0200 (Fri, 13 Jul 2007) $
Author:
  The Apache Directory Project (mina-dev@directory.apache.org)
See Also:
  Serialized Form

Constructor Summary
`UnknownMessageTypeException()`
`UnknownMessageTypeException(String message)`
`UnknownMessageTypeException(String message, Throwable cause)`
`UnknownMessageTypeException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnknownMessageTypeException

    public UnknownMessageTypeException()

### UnknownMessageTypeException

    public UnknownMessageTypeException(String message,
                                       Throwable cause)

### UnknownMessageTypeException

    public UnknownMessageTypeException(String message)

### UnknownMessageTypeException

    public UnknownMessageTypeException(Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.